Package Details: lua-linenoise 0.9-3

Git Clone URL: https://aur.archlinux.org/lua-linenoise.git (read-only, click to copy)
Package Base: lua-linenoise
Description: A binding for the linenoise command line library
Upstream URL: https://github.com/hoelzro/lua-linenoise
Keywords: library lua
Licenses: MIT/X11
Submitter: wenLiangcan
Maintainer: caleb
Last Packager: caleb
Votes: 2
Popularity: 0.85
First Submitted: 2014-08-13 18:23
Last Updated: 2020-02-12 11:34

Dependencies (2)

Required by (3)

Sources (1)

Latest Comments

caleb commented on 2020-02-06 05:56

@haawda Interesting result. I am unfortunately unable to replicate it at this time. Can you give any more information? For me the package builds and I am able to use it in Lua 5.1 as lua5.1 -llinenoise. It also loads in luajit.

It's possible the makedepends are not set right. Do you have lua5.1 installed on the system you are building from?

haawda commented on 2020-02-05 16:03

the lua5.1 variant does not work:

Error: Build error: Lua header file lua.h not found (looked in /usr/include/lua5.1).